MsWrdParserInternal::Object Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
MsWrdParserInternal::Object Struct Reference

Internal: the object of MsWrdParser. More...

## Public Member Functions
| Object ()
MsWrdEntry | getEntry () const

## Public Attributes
long | m_textPos
| the text position More...
MWAWEntry | m_pos
| the object entry More...
std::string | m_name
| the object name More...
int | m_id
| the id More...
int | m_ids [2]
| some others id? More...
int | m_idsFlag [2]
| some flags link to m_ids More...
int | m_flags [2]
| some flags More...
MWAWEntry | m_annotation
| the annotation entry More...
std::string | m_extra
| some extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Object const &obj)
| operator<< More...

## Detailed Description

Internal: the object of MsWrdParser.

## Constructor & Destructor Documentation

## ◆ Object()

MsWrdParserInternal::Object::Object | ( |  | ) |
| inline

## Member Function Documentation

## ◆ getEntry()

MsWrdEntry MsWrdParserInternal::Object::getEntry | ( |  | ) | const
| inline

Referenced by MsWrdParser::readObject().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Object const & | obj
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_annotation

MWAWEntry MsWrdParserInternal::Object::m_annotation

the annotation entry

Referenced by MsWrdParser::readObject().

## ◆ m_extra

std::string MsWrdParserInternal::Object::m_extra

some extra data

## ◆ m_flags

int MsWrdParserInternal::Object::m_flags[2]

some flags

Referenced by Object().

## ◆ m_id

int MsWrdParserInternal::Object::m_id

the id

Referenced by getEntry(), and MsWrdParser::readObject().

## ◆ m_ids

int MsWrdParserInternal::Object::m_ids[2]

some others id?

Referenced by Object().

## ◆ m_idsFlag

int MsWrdParserInternal::Object::m_idsFlag[2]

some flags link to m_ids

Referenced by Object().

## ◆ m_name

std::string MsWrdParserInternal::Object::m_name

the object name

## ◆ m_pos

MWAWEntry MsWrdParserInternal::Object::m_pos

the object entry

Referenced by getEntry(), and MsWrdParser::readObject().

## ◆ m_textPos

long MsWrdParserInternal::Object::m_textPos

the text position

Referenced by MsWrdParser::readObjectList().

The documentation for this struct was generated from the following file:

- MsWrdParser.cxx